not possible to insert a new column attribute table

2014-06-17 03:03 AM - Claas Leiner

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Attribute table

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19012

Description

It is not possible to insert a new column in the attribute table of a shapefile with "add

 Attribute". I can do it with the FieldCalculator!

Associated revisions

Revision c27e731e - 2014-06-17 05:14 PM - Martin Dobias

Fix #10608 (impossible to add a new column in attribute table)

History

#1 - 2014-06-17 08:11 AM - Martin Dobias

- Assignee set to Martin Dobias

#2 - 2014-06-17 08:14 AM - Pedro Venâncio

- Assignee deleted (Martin Dobias)

I confirm this, but it affects all forms of creating new fields in the attributes table of shapefiles, as follows:

- Layer Properties:

    I can only create (New column) fields of type "date". For all other types (integer, real, string), I get this error:

        Name conflict: The attribute could not be inserted. The name already exists in the table.

        (Note: Obviously there is no field with the same name I'm assigning).

- Attribute Table:

    I can only create (New column) fields of type "integer" and "date". For "real" or "string", I get this error:

        Attribute Error: The attribute could not be added to the layer

- Field Calculator:

    I can only create (Create a new field) fields of type "date". For all other types (integer, real, string), I get this error:

        Provider error: Could not add the new field to the provider.

With PostGIS data, everything works fine.

Tested on Windows 7 (64bits), with QGIS master 2.3.0-105 (OSGeo4W 64bits).

#3 - 2014-06-17 08:15 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"c27e731ece57739eeb937f154818c9d0e000f0f2".

#4 - 2014-06-17 08:15 AM - Pedro Venâncio

- Assignee set to Martin Dobias

Pedro Venâncio wrote:

I confirm this, but it affects all forms of creating new fields in the attributes table of shapefiles, as follows:

- Layer Properties:

I can only create (New column) fields of type "date". For all other types (integer, real, string), I get this error:

Name conflict: The attribute could not be inserted. The name already exists in the table.

(Note: Obviously there is no field with the same name I'm assigning).

- Attribute Table:

I can only create (New column) fields of type "integer" and "date". For "real" or "string", I get this error:

Attribute Error: The attribute could not be added to the layer

- Field Calculator:

I can only create (Create a new field) fields of type "date". For all other types (integer, real, string), I get this error:

Provider error: Could not add the new field to the provider.

With PostGIS data, everything works fine.

Tested on Windows 7 (64bits), with QGIS master 2.3.0-105 (OSGeo4W 64bits).

#5 - 2014-06-17 08:26 AM - Pedro Venâncio

Sorry Martin,

I was writing in the ticket and meanwhile you assigned it to yourself. However when I submitted, it blacked out.

Anyway, I added some information, indicating the different tools affected by the creation fields problem.

Your changes fixes everything, right?

Thank you very much Martin!

#6 - 2014-06-17 08:30 AM - Martin Dobias

No problem... yeah I think the fix should cover all the cases

#7 - 2014-06-18 02:40 AM - Pedro Venâncio

2025-04-27 2/3



I confirm. Fixed for all cases!

Thank you very much Martin!
